# Trait rlp::rlptraits::Encoder [−] [src]

    pub trait Encoder {
        fn emit_value<E: ByteEncodable>(&mut self, value: &E);
        fn emit_raw(&mut self, bytes: &[u8]);
    }

Raw RLP encoder

## Required Methods

### `fn emit_value<E: ByteEncodable>(&mut self, value: &E)`

Write a value represented as bytes

### `fn emit_raw(&mut self, bytes: &[u8])`

Write raw preencoded data to the output

## Implementors

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)